import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare class ApiRequestService {
    private http;
    private baseUrl;
    private headers;
    private body;
    constructor(http: HttpClient);
    /**
     * Setting up the base api url
     * @param url The base url
     */
    setUrl(url: any): void;
    /**
     * Set the header config for the request
     * @param params Header key and value, must be an object {key:val, ...}
     */
    private setHeader;
    /**
     * Set the header config for the request
     * @param params Header key and value, must be an object {key:val, ...}
     */
    private setBody;
    /**
     * Make an api request
     * @param method The request method get or post, default get
     * @param endpoint The api endpoint url
     * @param body The request body
     * @param header The request header
     */
    call(method: string, endpoint: string, body: any, header: any): Observable<any>;
}
